Kerbal Space Program - Bug #10840

Helmet Light not working
08/28/2016 03:04 PM - Sonny_Jim

Status: Closed Start date: 08/28/2016
Severity: Low % Done: 100%
Assignee:

Category: Controls and Ul

Target version: 1.2.0

Version: 1.1.3 Language: English (US)
Platform: Windows Mod Related: No
Expansion:

Description

Pressing 'L' during a Kerbal EVA should switch on their helmet lights. This no longer works on the version | am using (1.1.3.1289
x84 Win10)

I am not the only person to have run into this bug:
http://forum.kerbalspaceprogram.com/index.php?/topic/144426-what-happened-to-the-helmet-light/

Apparently there is a stock fix available, so should be very easy to fix in an official version:
http:/forum.kerbalspaceprogram.com/index.php?/topic/87737-ksp-v113-stock-bug-fix-modules-release-v113b1-10-jul-16/&page=1

"Update 1.1.3a.1:

Deprecated several modules (that have been incorporated into stock)
Added a small fix for non-responsive kerbal EVA lights"

History

#1 - 08/30/2016 04:49 AM - MiniMatt
- Status changed from New to Confirmed

- % Done changed from 0 to 10

Can confirm on 1.1.3.1289 x64 Win 7 though, as only personally experienced on modded saves, only tentatively. Happened when EVA'ing around a
very part heavy (such that the mission clock was nailed yellow) space station.

#2 - 08/30/2016 10:40 AM - ShotgunNinja

I can confirm this happen on some keypresses, but on others it work as it should.

The reason is probably that the 'L' key state is checked in some FixedUpdate(), instead of Update().

This lead to the input button state being not consistent as there are usually multiple FixedUpdate() calls for each frame.

But the input system is updated every frame, so in some FixedUpdate() you get lucky and the state is correct, but in others isn't.

#3 - 08/31/2016 10:24 AM - sal_vager

- Severity changed from Normal to Low

The lights are intermittent, but they will work, please press L again if they do not toggle :)

#4 - 10/21/2016 02:51 AM - JPLRepo

- Status changed from Confirmed to Ready to Test
- % Done changed from 10 to 80

- Version changed from 1.1.3 to 1.2.0

Works every time in release version 1.2.
Try it out.

#5 - 10/21/2016 03:00 AM - JPLRepo

- Target version set to 1.2.0
#6 - 10/21/2016 03:00 AM - JPLRepo
- Version changed from 1.2.0 to 1.1.3

#7 - 11/18/2016 08:04 PM - JPLRepo
- Status changed from Ready to Test to Closed
- % Done changed from 80 to 100

Closing. No response.
